<?php
include "../conexion.php";
$comt_id=$_GET['id'];   
$cans=mysqli_query($con,"SELECT * from  compra_detalle_temp where  comt_id='$comt_id' ") or die(mysqli_error($con)); 
$datos=mysqli_fetch_array($cans);
$comt_id=$datos['comt_id'];
$comt_nombre=$datos['comt_nombre'];
$comt_cantidad=$datos['comt_cantidad'];
$comt_referencia=$datos['comt_referencia'];

 $can=mysqli_query($con,"SELECT MAX(com_n_compra) as numero FROM compras") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$numero=$dato['numero']+1;
?>


<ul class="nav nav-tabs">
    <li class="active"><a href="#serial_nuevos" data-toggle="tab">SERIALES</a> </li>
    <li><a href="#serial_generarados" data-toggle="tab">GENERAR SERIALES</a></li>
</ul>

<div class="tab-content" >
    <div class="tab-pane  active" id="serial_nuevos">
        <form role="form" id="seriales" name="seriales" >      
            <input type="hidden" name="id" value="<?php echo $comt_id; ?>">
            <input type="hidden" name="vent_cantidad" value="<?php echo $comt_cantidad; ?>">
            <input type="hidden" class="form-control" name="art_nombre" id="art_nombre" value="<?php echo $comt_nombre; ?>" disabled>
            <?php $i = 1;
                while ($i <= $comt_cantidad) {
            ?>
            <label for="art_nombre" class="control-label">Serial <?php echo $i++; ?> </label>
            <input type="text" class="form-control" name="serial[]" value="" required autocomplete="off">
            <?php } ?>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                <button type="submit" id="ser" class="btn btn-success">Registrar</button>
            </div>
        </form>
    </div>

    <div class="tab-pane" id="serial_generarados">
        <div id="resultados_ser"></div>
        <div id="ser_ocultar">
            <form role="form" id="seriales2" name="seriales2">      
                <input type="hidden" name="id" value="<?php echo $comt_id; ?>">
                <input type="hidden" name="vent_cantidad" value="<?php echo $comt_cantidad; ?>">
                <input type="hidden" class="form-control" name="art_nombre" id="art_nombre" value="<?php echo $comt_nombre; ?>" disabled>
                <?php 
                    $i = 1;
                    $characters = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ'; // Puedes agregar letras minúsculas si quieres
                    $charactersLength = strlen($characters);

                    function generateRandomString($length, $characters, $charactersLength) {
                        $randomString = '';
                        for ($j = 0; $j < $length; $j++) {
                            $randomString .= $characters[rand(0, $charactersLength - 1)];
                        }
                        return $randomString;
                    }

                    while ($i <= $comt_cantidad) {
                        $serialNumber = generateRandomString(4, $characters, $charactersLength);
                ?>
                        <label for="art_nombre" class="control-label">Serial <?php echo $i++; ?> </label>
                        <input type="text" class="form-control" name="serial2[]" value="<?php echo $numero . $serialNumber; ?>" required autocomplete="off">
                <?php } ?>

                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                    <button type="submit" id="seri2" class="btn btn-success">Registrar</button>
                </div>
            </form>
        </div>
    </div>
</div>
 
   


<script language="javascript">
 

$( "#seriales" ).submit(function( event ) {
$('#ser').attr("disabled", true);
    var parametros = $(this).serialize();
    $.ajax({
      type: "POST",
      url: "php_compras/registrar_serial.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#resultados_ser').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#resultados_ser").html(datos);
      $('#ser').attr("disabled", false);
      $('#reg_ser').modal('hide');
      $('body').removeClass('modal-open');
      $('.modal-backdrop').remove();
      loadTabla();
      }
  });
  event.preventDefault();
})

</script>

<script language="javascript">


$( "#seriales2" ).submit(function( event ) {
$('#seri2').attr("disabled", true);
$('#ser_ocultar').hide(); 
    var parametros = $(this).serialize();
    $.ajax({
      type: "POST",
      url: "php_compras/registrar_serial2.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#resultados_ser').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#resultados_ser").html(datos);
      $('#seri2').attr("disabled", false);
      }
  });
  event.preventDefault();
})

</script>